# clamp.cpp File Reference

Implementation of the "Clamp" layer. More...

`#include "clamp.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Functions

| SYNFIG_LAYER_INIT (Layer_Clamp)
| SYNFIG_LAYER_SET_NAME (Layer_Clamp,"clamp")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_Clamp, N_("Clamp"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_Clamp, N_("Filters"))
| SYNFIG_LAYER_SET_VERSION (Layer_Clamp,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Layer_Clamp,"$Id$")

## Detailed Description

Implementation of the "Clamp" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_Clamp |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_Clamp | ,
|  | "clamp" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_Clamp | ,
|  | N_("Clamp") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_Clamp | ,
|  | N_("Filters") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_Clamp | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_Clamp | ,
|  | "$Id$" |  |
| ) |  |  |